For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • GETGet KYC Requirement
      • GETGet Additional Requirements
      • GETGet KYC - IdProof Status
      • PATCHPatch User Details
      • POSTUpdate Purpose Of Usage
      • POSTSubmit SSN
      • POSTSubmit Source of Income
      • POSTUpload Proof Document
Dashboard
LogoLogo
TRANSAK WHITELABEL APIKYC

Submit SSN

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/kyc/ssn
POST
/api/v2/kyc/ssn
$curl -X POST https://api-gateway-stg.transak.com/api/v2/kyc/ssn \
> -H "Content-Type: application/json" \
> -d '{
> "ssn": "123-45-6789",
> "quoteId": "QTE-20240615-XYZ123"
>}'
1{
2 "data": {
3 "status": "SUBMITTED"
4 }
5}
**Submit SSN** is an **authenticated API** call that allows submission of a user’s **Social Security Number (SSN)** as part of the **KYC verification** process. This step is mandatory for US KYC users and is used for identity validation through Transak’s banking partner. The valid SSN input must be submitted as part of the Standard KYC flow after Personal, Address, and Purpose of Usage steps. **Note:** Any incorrect or missing SSN information will lead to KYC verification failure or delay in virtual bank creation.
Was this page helpful?
Previous

Update Purpose Of Usage

Next

Submit Source of Income

Built with

Submit SSN is an authenticated API call that allows submission of a user’s Social Security Number (SSN) as part of the KYC verification process. This step is mandatory for US KYC users and is used for identity validation through Transak’s banking partner.

The valid SSN input must be submitted as part of the Standard KYC flow after Personal, Address, and Purpose of Usage steps.

Note: Any incorrect or missing SSN information will lead to KYC verification failure or delay in virtual bank creation.

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Request

This endpoint expects an object.
ssnstringRequired
social security number of the user
quoteIdstringRequired

quote Id generated from api/v2/lookup/quotes

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error